%define version 0.9
%define cvssnap 20040201
%define release 2mdk

Name:		im-ja
Summary:	Japanese input module for GTK2
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
URL:		http://im-ja.sourceforge.net/
Source:		%{name}-%{version}-%{cvssnap}.tar.bz2
Patch1:		%{name}-0.9-panel-applet-position-fix.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:	libgtk+2-devel >= 2.2.0
BuildPrereq:	libGConf2-devel
BuildPrereq:	libglade2.0-devel
BuildPrereq:	libpanel-applet-devel
BuildPrereq:	FreeWnn-devel
BuildPrereq:	libcanna-devel
BuildPrereq:	ImageMagick
BuildPrereq:	docbook-utils
Requires:	locales-ja

%description
im-ja aims to be a generic Japanese input module for GTK+2. Currently present
input modes are:
  * Hiragana
  * Katakana
  * Half-width katakana
  * Zenkaku
  * FreeWnn
  * Canna (Using the Canna conversion engine)
  * Kanji character recognition (based on Kanjipad)

Conversion hotkeys, status window, preedit text colors, etc. can be customized
through a GUI. An optional applet is also included for the gnome-panel which
can be used to display and change the input method.


%prep
%setup -q -n %name
%patch1 -b .appletpos

%build
%define __libtoolize /bin/true
%configure2_5x --disable-schemas-install
%make

/usr/bin/convert -resize 48x48 gnome/im-ja-capplet.png %{name}-conf48.png
/usr/bin/convert -resize 32x32 gnome/im-ja-capplet.png %{name}-conf32.png
/usr/bin/convert -resize 16x16 gnome/im-ja-capplet.png %{name}-conf16.png

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# we don't care about the .la file...
rm -f %{buildroot}/%{_libdir}/gtk-2.0/*/immodules/*.la

%find_lang %{name}

# Menu entry
mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="gnome"\
 section="Configuration/GNOME"\
 title="Im-Ja Configurator"\
 longtitle="Configurator for the GTK+2 Japanese Input Module"\
 command="%_bindir/%{name}-conf"\
 icon="%{name}-conf.png"
EOF

%__install -D -m 644 %{name}-conf48.png %buildroot/%_liconsdir/%{name}-conf.png
%__install -D -m 644 %{name}-conf32.png %buildroot/%_iconsdir/%{name}-conf.png
%__install -D -m 644 %{name}-conf16.png %buildroot/%_miconsdir/%{name}-conf.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/im-ja.schemas > /dev/null
%update_menus

%preun
if [ "$1" = "0" ]; then 
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/im-ja.schemas > /dev/null
fi

%postun
/sbin/ldconfig
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules
%clean_menus

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README TODO
%dir %{_libdir}/im-ja
%defattr(755,root,root,755)
%{_bindir}/*
%{_libdir}/gtk-2.0/*/immodules/*.so
%{_libdir}/im-ja-applet
%{_libdir}/im-ja/kpengine
%defattr(644,root,root,755)
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/bonobo/servers/*
%{_datadir}/%name
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Sun Feb 01 2004 Michael Reinsch <mr@uue.org> 0.9-2mdk
- use cvs snapshot
- build with canna support

* Fri Jan 23 2004 Michael Reinsch <mr@uue.org> 0.9-1mdk
- only compile with FreeWnn at the moment, no Canna support
- initial mandrake package
